Bezpiecznik1 = class( nil )
Bezpiecznik1.maxChildCount = -1
Bezpiecznik1.maxParentCount = -1
Bezpiecznik1.connectionInput = sm.interactable.connectionType.logic
Bezpiecznik1.connectionOutput = sm.interactable.connectionType.logic
Bezpiecznik1.colorNormal = sm.color.new(0xcd1ec1ff)
Bezpiecznik1.colorHighlight = sm.color.new(0xeeeeeeff)
Bezpiecznik1.poseWeightCount = 1

function Bezpiecznik1.server_onCreate(self)
	local storednumber = self.storage:load()
	if storednumber == nil then storednumber = true end
	self.state = storednumber
	self.network:sendToClients("client_changeModel", self.state)
end

function Bezpiecznik1.server_onFixedUpdate(self, deltaTime)

	self.interactable.active = false

	local parents = self.interactable:getParents()
	for id, parent in pairs(parents) do
		if tostring(parent:getShape():getColor()) == "f06767ff" and parent.active and self.state then
			self.state = false
			self.network:sendToClients("client_changeModel", self.state)
			self.storage:save( self.state )
		end
		if self.state and parent.active then self.interactable.active = true end
	end
		
end

function Bezpiecznik1.server_changeStatus(self)
	self.state = not self.state
	self.network:sendToClients("client_changeModel", self.state)
	self.storage:save( self.state )
end

function Bezpiecznik1.server_giveData(self)
	self.network:sendToClients("client_changeModel", self.state)
end




function Bezpiecznik1.client_onCreate(self)
	self.network:sendToServer("server_giveData")
end

function Bezpiecznik1.client_onInteract( self, character, looking )
	if not looking then return end
	self.network:sendToServer("server_changeStatus")
	sm.audio.play("Lever off", self.shape:getWorldPosition())
end

function Bezpiecznik1.client_changeModel(self, value)
	self.interactable:setPoseWeight( 0, value and 1 or 0 )
end