Eon = class( nil )
Eon.maxChildCount = -1
Eon.maxParentCount = -1
Eon.connectionInput = sm.interactable.connectionType.logic
Eon.connectionOutput = sm.interactable.connectionType.logic + sm.interactable.connectionType.power
Eon.colorNormal = sm.color.new(0xcd1ec1ff)
Eon.colorHighlight = sm.color.new(0xeeeeeeff)
--[[
function Eon.server_onCreate(self)
	self.x = 0
	self.y = 0
end

function Eon.server_onFixedUpdate(self, deltaTime)

	local bialy = false
	local czarny = false
	local tick = sm.game.getCurrentTick()
	self.interactable.active = false
	self.interactable.power = 0

	for id, parent in pairs(self.interactable:getParents()) do
		if tostring(parent:getShape():getColor()) == "eeeeeeff" and parent.active then bialy = true end
		if tostring(parent:getShape():getColor()) == "222222ff" and parent.active then czarny = true end
	end
		
	if bialy and self.y < tick then self.x = tick + 200 end
	if czarny and self.x < tick then self.y = tick + 200 end
	if bialy or czarny then
		if self.y > tick then
			self.y = tick + 200
		elseif self.x > tick then
			self.x = tick + 200
		end
	end

	if self.x > tick then
		self.interactable.active = true
	elseif self.y > tick then
		self.interactable.power = 1
	end
		
end

]]--










function Eon.server_onCreate(self)
	self.x = false
	self.y = false
	self.killAt = 0
	self.interactable.active = false
	self.interactable.power = 0
end

function Eon.server_onFixedUpdate(self, deltaTime)

	local tick = sm.game.getCurrentTick()
	for id, parent in pairs(self.interactable:getParents()) do
		if tostring(parent:getShape():getColor()) == "eeeeeeff" and parent.active then
			self:server_gotWhite()
		end
		if tostring(parent:getShape():getColor()) == "222222ff" and parent.active then
			self:server_gotBlack()
		end
	end

	if self.x or self.y then
		if tick > self.killAt then
			self.interactable.active = false
			self.interactable.power = 0
			self.y = false
			self.x = false
		end
	end
end

function Eon.server_gotWhite(self)
	self.killAt = sm.game.getCurrentTick() + 200
	if not self.x and not self.y then
		self.y = true
		self.interactable.active = true
		self.interactable.power = 0
	end
end

function Eon.server_gotBlack(self)
	self.killAt = sm.game.getCurrentTick() + 200
	if not self.y and not self.x then
		self.x = true
		self.interactable.active = false
		self.interactable.power = 1
	end
end