
TablicaPeron = class( nil )
TablicaPeron.maxChildCount = 1
TablicaPeron.maxParentCount = 1
TablicaPeron.connectionInput = sm.interactable.connectionType.logic
TablicaPeron.connectionOutput = sm.interactable.connectionType.none
TablicaPeron.colorNormal = sm.color.new(0x777777ff)
TablicaPeron.colorHighlight = sm.color.new(0x888888ff)


function TablicaPeron.client_onFixedUpdate(self, deltaTime)
	local parent = self.interactable:getSingleParent()
	
	if parent and parent:isActive() then
		self.interactable:setUvFrameIndex(48)
	else
		self.interactable:setUvFrameIndex(1)
	end

end

function TablicaPeron.client_onCreate( self )
	self.interactable:setUvFrameIndex(1)
end

function TablicaPeron.client_canInteract(self)
	sm.gui.setInteractionText("Kliknij", sm.gui.getKeyBinding("Use"), "aby zmienic litere do przodu")
	sm.gui.setInteractionText("Kliknij", sm.gui.getKeyBinding("Crawl"), "+", sm.gui.getKeyBinding("Use"), "aby zmienic litere do tylu")
	return true
end
