TablicaPeron2 = class( nil )
TablicaPeron2.maxChildCount = 1
TablicaPeron2.maxParentCount = 1
TablicaPeron2.connectionInput = sm.interactable.connectionType.logic
TablicaPeron2.connectionOutput = sm.interactable.connectionType.none
TablicaPeron2.colorNormal = sm.color.new(0x777777ff)
TablicaPeron2.colorHighlight = sm.color.new(0x888888ff)


local myNumber
function TablicaPeron2.client_onCreate( self )
	self.clientmode = 0
	self.network:sendToServer('server_giveData')
end

function TablicaPeron2.client_onFixedUpdate(self, deltaTime)
	local parent = self.interactable:getSingleParent()
	
	if parent and parent:isActive() then
		self.interactable:setUvFrameIndex(self.clientmode + 48)
	else
		self.interactable:setUvFrameIndex(self.clientmode)
	end

end

function TablicaPeron2.client_haveData( self, myNumber )
	self.clientmode = myNumber
end

function TablicaPeron2.client_onInteract(self, character, looking)
	if not looking then return end
	if sm.localPlayer.getPlayer().character:isCrouching() then self.network:sendToServer('server_changeTable', 0) else self.network:sendToServer('server_changeTable', 1) end
end

function TablicaPeron2.server_changeTable( self, where )
	if where == 1 then
		self.numer = self.numer + 1
		if self.numer > 35 then self.numer = 0 end
	else
		self.numer = self.numer - 1
		if self.numer < 0 then self.numer = 35 end
	end
	self.storage:save( self.numer )
	myNumber = self.numer
	self.network:sendToClients('client_haveData', myNumber)
end

function TablicaPeron2.server_giveData( self )
	self.network:sendToClients('client_haveData', self.numer)
end

function TablicaPeron2.server_onCreate( self )
	local storednumber = self.storage:load()
	if storednumber == nil then storednumber = 0 end
	self.numer = storednumber
end

function TablicaPeron2.client_canInteract(self)
	sm.gui.setInteractionText("Kliknij", sm.gui.getKeyBinding("Use"), "aby zmienic litere do przodu")
	sm.gui.setInteractionText("Kliknij", sm.gui.getKeyBinding("Crawl"), "+", sm.gui.getKeyBinding("Use"), "aby zmienic litere do tylu")
	return true
end