jrb = class( nil )
jrb.maxChildCount = -1
jrb.maxParentCount = -1
jrb.connectionInput = sm.interactable.connectionType.logic
jrb.connectionOutput = sm.interactable.connectionType.logic
jrb.colorNormal = sm.color.new(0xcd1ec1ff)
jrb.colorHighlight = sm.color.new(0xeeeeeeff)

function jrb.server_onCreate(self)
	self.x = 0
	self.y = 0
	self.interactable.active = false
end

function jrb.server_onFixedUpdate(self, deltaTime)

	local input = false
	local tick = sm.game.getCurrentTick()
	local parents = self.interactable:getParents()
	self.interactable.active = false
	
	if #parents > 0 then
		for id, parent in pairs(parents) do
			if parent.active then input = true end
		end
	end
	
	if input then
		if self.x == 0 then
			self.y = tick + 25
			self.x = 1
		end
		if self.y < tick then self.interactable.active = true end
	elseif self.x == 1 then
		self.x = 0
		self.y = 0
	end
end