xto4 = class( nil )
xto4.maxChildCount = -1
xto4.maxParentCount = -1
xto4.connectionInput = sm.interactable.connectionType.logic
xto4.connectionOutput = sm.interactable.connectionType.logic
xto4.colorNormal = sm.color.new(0xcd1ec1ff)
xto4.colorHighlight = sm.color.new(0xeeeeeeff)

function xto4.server_onCreate(self)
	self.x = 0
	self.y = 0
end

function xto4.server_onFixedUpdate(self, deltaTime)

	local input = false
	local tick = sm.game.getCurrentTick()
	local parents = self.interactable:getParents()
	self.interactable.active = false
	
	if #parents > 0 then
		for id, parent in pairs(parents) do
			if parent.active then input = true end
		end
	end

	if input then
		if self.x == 0 then
			self.y = tick + 4
			self.x = 1
		end
	elseif self.x == 1 then
		self.x = 0
	end
	
	if self.y > tick then self.interactable.active = true end
end